[slime-cvs] CVS slime
CVS User heller
heller at common-lisp.net
Sun Oct 26 21:17:58 UTC 2008
Update of /project/slime/cvsroot/slime
In directory cl-net:/tmp/cvs-serv20007
Modified Files:
ChangeLog test.sh
Log Message:
* test.sh: Return the number of failed tests as exit code.
--- /project/slime/cvsroot/slime/ChangeLog 2008/10/26 21:17:44 1.1570
+++ /project/slime/cvsroot/slime/ChangeLog 2008/10/26 21:17:58 1.1571
@@ -1,5 +1,7 @@
2008-10-26 Helmut Eller <heller at common-lisp.net>
+ * test.sh: Return the number of failed tests as exit code.
+
* slime.el: Fix change from 2008-10-20.
Use (eval-when (compile)...) instead of (eval-when-compile ...),
because the latter is more like (eval-when (compile eval) ...).
--- /project/slime/cvsroot/slime/test.sh 2008/09/20 21:46:23 1.20
+++ /project/slime/cvsroot/slime/test.sh 2008/10/26 21:17:58 1.21
@@ -87,16 +87,18 @@
screen -S $session -m -D \
bash -c "\"\$@\"; echo \$? > $statusfile" "" "${cmd[@]}" &
screenpid=$!
- trap "screen -S $session -X quit" SIGINT
+ trap "screen -S $session -X quit" SIGINT SIGQUIT
wait $screenpid
fi
if [ -f "$statusfile" ]; then
- [ "$dump_results" = true ] && cat $results;
- echo $(cat $statusfile) "test(s) failed."
+ [ "$dump_results" = true ] && cat $results
+ status=$(cat $statusfile)
+ echo $status "test(s) failed."
else
# Tests crashed
echo crashed
+ status=255
fi
exit $status
More information about the slime-cvs
mailing list